### Function

# Phosh util_get_icon_by_wifi_strength

#### Declaration [src]

    const char*
    phosh_util_get_icon_by_wifi_strength (
      guint strength,
      gboolean is_connecting
    )

#### Description

No description available.

#### Parameters

`strength`

  Type: `guint`

  An integer representing the strength of Wi-Fi.

`is_connecting`

  Type: `gboolean`

  If we are trying to connect to Wi-Fi.

#### Return value

Type: `const char*`

The name of the icon based on the signal strength. If `is_connecting` is `TRUE`, then it returns a loading icon.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.